org.apache.torque.dsfactory

## Class PerUserPoolDataSourceFactory

- java.lang.Object
- - org.apache.torque.dsfactory.AbstractDataSourceFactory
  - - org.apache.torque.dsfactory.PerUserPoolDataSourceFactory

- All Implemented Interfaces:
    DataSourceFactory

  Deprecated.

      @Deprecated
      public class PerUserPoolDataSourceFactory
      extends AbstractDataSourceFactory

  A factory that looks up the DataSource using the JDBC2 pool methods.
  Version:
    $Id: PerUserPoolDataSourceFactory.java 1870542 2019-11-28 09:32:40Z tv $
  Author:
    John McNally, Henning P. Schmiedehausen

- - ### Field Summary

    - ### Fields inherited from class org.apache.torque.dsfactory.AbstractDataSourceFactory

      `CONNECTION_KEY, DEFAULT_CONNECTION_KEY, DEFAULT_POOL_KEY, DEFAULTS_KEY, POOL_KEY`

    - ### Fields inherited from interface org.apache.torque.dsfactory.DataSourceFactory

      `DSFACTORY_KEY, FACTORY_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerUserPoolDataSourceFactory()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated. Closes the pool associated with this factory and releases it.
    `DataSource` | `getDataSource()` Deprecated.
    `void` | `initialize(org.apache.commons.configuration2.Configuration configuration)` Deprecated. Initialize the factory.

    - ### Methods inherited from class org.apache.torque.dsfactory.AbstractDataSourceFactory

      `applyConfiguration, initCPDS, initJdbc2Pool, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerUserPoolDataSourceFactory

          public PerUserPoolDataSourceFactory()

      Deprecated.

  - ### Method Detail

    - #### getDataSource

          public DataSource getDataSource()

      Deprecated.
      Specified by:
        `getDataSource` in interface `DataSourceFactory`
      Specified by:
        `getDataSource` in class `AbstractDataSourceFactory`
      Returns:
        the `DataSource` configured by the factory.
      See Also:
        `DataSourceFactory.getDataSource()`

    - #### initialize

          public void initialize(org.apache.commons.configuration2.Configuration configuration)
                          throws TorqueException

      Deprecated.
      Description copied from class: `AbstractDataSourceFactory`
      Initialize the factory.
      Specified by:
        `initialize` in interface `DataSourceFactory`
      Specified by:
        `initialize` in class `AbstractDataSourceFactory`
      Parameters:
        `configuration` - where to load the factory settings from
      Throws:
        `TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
      See Also:
        `DataSourceFactory.initialize(org.apache.commons.configuration2.Configuration)`

    - #### close

          public void close()
                     throws TorqueException

      Deprecated.
      Closes the pool associated with this factory and releases it.
      Throws:
        `TorqueException` - if the pool cannot be closed properly

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.